package car;

import com.evelopers.common.exception.CommonException;
import com.evelopers.unimod.core.stateworks.Event;
import com.evelopers.unimod.runtime.EventProvider;
import com.evelopers.unimod.runtime.ModelEngine;
import com.evelopers.unimod.runtime.context.StateMachineContextImpl;

public class CarBlockEP implements EventProvider {	
	
	private static ModelEngine myEngine;

	/**
	 * @unimod.event.descr Охрана включена
	 */
	public static final String E401 = "e401";
	/**
	 * @unimod.event.descr Охрана выключена
	 */
	public static final String E402 = "e402";
	/**
	 * @unimod.event.descr Паника
	 */
	public static final String E403 = "e403";
	/**
	 * @unimod.event.descr Нарушение зоны
	 */
	public static final String E404 = "e404";
	/**
	 * @unimod.event.descr Удар
	 */
	public static final String E405 = "e405";

	public void dispose() {
		// TODO Auto-generated method stub

	}


	public void init(ModelEngine engine) throws CommonException {
		if (myEngine != null) {
			return;
		}
		myEngine = engine;
	}
	
	public static void fireEvent(String eventName) {
		if (myEngine != null) {
			myEngine.getEventManager().handle(new Event(eventName),
					StateMachineContextImpl.create());
		}
	}

}
