package car;

import main.CarGui;

import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.context.StateMachineContext;

public class CarCO implements ControlledObject {

	private boolean isFrontDoorOpened = false;
	private boolean isRearDoorOpened = false;
	private boolean isHoodDoorOpened = false;
	private boolean isBootDoorOpened = false;
	
	/**
	 * @unimod.action.descr Открыта передняя дверь
	 */
	public void z1(StateMachineContext context) {
		isFrontDoorOpened = true;
		CarGui.addToLog("Открыта передняя дверь");
	}

	/**
	 * @unimod.action.descr Закрыта передняя дверь
	 */
	public void z2(StateMachineContext context) {
		isFrontDoorOpened = false;
		CarGui.addToLog("Закрыта передняя дверь");
	}

	/**
	 * @unimod.action.descr Открыта задняя дверь
	 */
	public void z3(StateMachineContext context) {
		isRearDoorOpened = true;
		CarGui.addToLog("Открыта задняя дверь");
	}

	/**
	 * @unimod.action.descr Закрыта задняя дверь
	 */
	public void z4(StateMachineContext context) {
		isRearDoorOpened = false;
		CarGui.addToLog("Закрыта задняя дверь");
	}

	/**
	 * @unimod.action.descr Открыт капот
	 */
	public void z5(StateMachineContext context) {
		isHoodDoorOpened = true;
		CarGui.addToLog("Открыт капот");
	}

	/**
	 * @unimod.action.descr Закрыт капот
	 */
	public void z6(StateMachineContext context) {
		isHoodDoorOpened = false;
		CarGui.addToLog("Закрыт капот");
	}

	/**
	 * @unimod.action.descr Открыт багажник
	 */
	public void z7(StateMachineContext context) {
		isBootDoorOpened = true;
		CarGui.addToLog("Открыт багажник");
	}

	/**
	 * @unimod.action.descr Закрыт багажник
	 */
	public void z8(StateMachineContext context) {
		isBootDoorOpened = false;
		CarGui.addToLog("Закрыт багажник");
	}

	/**
	 * @unimod.action.descr Включено зажигание
	 */
	public void z9(StateMachineContext context) {
		CarGui.addToLog("Включено зажигание");
	}

	/**
	 * @unimod.action.descr Выключено зажигание
	 */
	public void z10(StateMachineContext context) {
		CarGui.addToLog("Выключено зажигание");
	}
	
	/**
	 * @unimod.action.descr Закрыт центральный замок
	 */
	public void z11(StateMachineContext context) {
		CarGui.addToLog("Закрыт центральный замок");
	}

	/**
	 * @unimod.action.descr Открыт центральный замок
	 */
	public void z12(StateMachineContext context) {
		CarGui.addToLog("Открыт центральный замок");
	}

	/**
	 * @unimod.action.descr Все ли закрыто
	 */
	public boolean x1(StateMachineContext context) {
		return !(isFrontDoorOpened || isRearDoorOpened || isHoodDoorOpened || isBootDoorOpened);
	}
}
