package car;

import com.evelopers.common.exception.CommonException;
import com.evelopers.unimod.core.stateworks.Event;
import com.evelopers.unimod.runtime.EventProvider;
import com.evelopers.unimod.runtime.ModelEngine;
import com.evelopers.unimod.runtime.context.StateMachineContextImpl;

public class CarStateEP implements EventProvider {

	private static ModelEngine myEngine;

	/**
	 * @unimod.event.descr Открыта передняя дверь
	 */
	public static final String E101 = "e101";

	/**
	 * @unimod.event.descr Закрыта передняя дверь
	 */
	public static final String E102 = "e102";

	/**
	 * @unimod.event.descr Открыта задняя дверь
	 */
	public static final String E103 = "e103";

	/**
	 * @unimod.event.descr Закрыта задняя дверь
	 */
	public static final String E104 = "e104";

	/**
	 * @unimod.event.descr Открыт капот
	 */
	public static final String E105 = "e105";

	/**
	 * @unimod.event.descr Закрыт капот
	 */
	public static final String E106 = "e106";

	/**
	 * @unimod.event.descr Открыт багажник
	 */
	public static final String E107 = "e107";

	/**
	 * @unimod.event.descr Закрыт багажник
	 */
	public static final String E108 = "e108";

	/**
	 * @unimod.event.descr Включено зажигание
	 */
	public static final String E109 = "e109";

	/**
	 * @unimod.event.descr Выключено зажигание
	 */
	public static final String E110 = "e110";

	/**
	 * @unimod.event.descr Открыт центральный замок 
	 */
	public static final String E111 = "e111";

	/**
	 * @unimod.event.descr Закрыт центральный замок
	 */
	public static final String E112 = "e112";
	
	/**
	 * @unimod.event.descr Слабый удар
	 */
	public static final String E113 = "e113";

	/**
	 * @unimod.event.descr Сильный удар
	 */
	public static final String E114 = "e114";

	public void dispose() {
		// TODO Auto-generated method stub
	}

	public void init(ModelEngine engine) throws CommonException {
		if (myEngine != null) {
			return;
		}
		myEngine = engine;
	}

	public static void fireEvent(String eventName) {
		if (myEngine != null) {
			myEngine.getEventManager().handle(new Event(eventName),
					StateMachineContextImpl.create());
		}
	}
}
