package remote;

import main.CarGui;

import com.evelopers.unimod.runtime.ControlledObject;
import com.evelopers.unimod.runtime.context.StateMachineContext;

public class RemoteCO implements ControlledObject {
	
	private boolean isSilentModeOn = false;
	
	/**
	 * @unimod.action.descr Сигнал 1
	 */
	public void z1(StateMachineContext context) {
		RemoteEP.fireEvent(RemoteEP.E201);
	}

	/**
	 * @unimod.action.descr Сигнал 2
	 */
	public void z2(StateMachineContext context) {
		RemoteEP.fireEvent(RemoteEP.E202);
	}
	
	/**
	 * @unimod.action.descr Сигнал Паника
	 */
	public void z3(StateMachineContext context) {
		RemoteEP.fireEvent(RemoteEP.E203);
	}

	/**
	 * @unimod.action.descr Включить тихий режим
	 */
	public void z4(StateMachineContext context) {
		isSilentModeOn = true;
		CarGui.setSoundState(!isSilentModeOn);
	}

	/**
	 * @unimod.action.descr Выключить тихий режим
	 */
	public void z5(StateMachineContext context) {
		isSilentModeOn = false;
		CarGui.setSoundState(!isSilentModeOn);
	}

	/**
	 * @unimod.action.descr Уровень датчика удара 1
	 */
	public void z6(StateMachineContext context) {
		RemoteEP.fireEvent(RemoteEP.E204);
	}
	
	/**
	 * @unimod.action.descr Уровень датчика удара 2
	 */
	public void z7(StateMachineContext context) {
		RemoteEP.fireEvent(RemoteEP.E205);
	}
	
	/**
	 * @unimod.action.descr Уровень датчика удара 3
	 */
	public void z8(StateMachineContext context) {
		RemoteEP.fireEvent(RemoteEP.E206);
	}
	
	/**
	 * @unimod.action.descr Отобразить нарушенную зону
	 */
	public void z9(StateMachineContext context) {
		
		CarGui.setDoorState(true);
	}
	
	/**
	 * @unimod.action.descr Отобразить сохранность зон
	 */
	public void z10(StateMachineContext context) {
		CarGui.setDoorState(false);
	}
	
	/**
	 * @unimod.action.descr Отобразить Главное Меню
	 */
	public void z11(StateMachineContext context) {
		CarGui.setMenuTitle(0);
	}
	
	/**
	 * @unimod.action.descr Отобразить Меню звука
	 */
	public void z12(StateMachineContext context) {
		CarGui.setMenuTitle(1);
	}
	
	/**
	 * @unimod.action.descr Отобразить Меню датчика
	 */
	public void z13(StateMachineContext context) {
		CarGui.setMenuTitle(2);
	}
	
	/**
	 * @unimod.action.descr Отобразить пункт Звук
	 */
	public void z14(StateMachineContext context) {
		CarGui.setMenuItem(0);
	}
	
	/**
	 * @unimod.action.descr Отобразить пункт Датчик
	 */
	public void z15(StateMachineContext context) {
		CarGui.setMenuItem(1);
	}
	
	/**
	 * @unimod.action.descr Отобразить пункт Включить
	 */
	public void z16(StateMachineContext context) {
		CarGui.setMenuItem(2);
	}
	
	/**
	 * @unimod.action.descr Отобразить пункт Выключить
	 */
	public void z17(StateMachineContext context) {
		CarGui.setMenuItem(3);
	}
	
	/**
	 * @unimod.action.descr Отобразить пункт Слабый
	 */
	public void z18(StateMachineContext context) {
		CarGui.setMenuItem(4);
	}
	
	/**
	 * @unimod.action.descr Отобразить пункт Средний
	 */
	public void z19(StateMachineContext context) {
		CarGui.setMenuItem(5);
	}
	
	/**
	 * @unimod.action.descr Отобразить пункт Сильный
	 */
	public void z20(StateMachineContext context) {
		CarGui.setMenuItem(6);
	}
	
	/**
	 * @unimod.action.descr Отобразить пункт Выход
	 */
	public void z21(StateMachineContext context) {
		CarGui.setMenuItem(7);
	}
	
	/**
	 * @unimod.action.descr Включить режим меню
	 */
	public void z22(StateMachineContext context) {
		CarGui.setMode(true);
	}
	
	/**
	 * @unimod.action.descr Включить обычный режим
	 */
	public void z23(StateMachineContext context) {
		CarGui.setMode(false);
	}
	
	/**
	 * @unimod.action.descr Отобразить удар
	 */
	public void z24(StateMachineContext context) {
		CarGui.setShockState(true);
	}
	
	/**
	 * @unimod.action.descr Не отображать удар
	 */
	public void z25(StateMachineContext context) {
		CarGui.setShockState(false);
	}
	
	/**
	 * @unimod.action.descr Отобразить охрану
	 */
	public void z26(StateMachineContext context) {
		CarGui.setLockState(true);
	}
	
	/**
	 * @unimod.action.descr Не отображать охрану
	 */
	public void z27(StateMachineContext context) {
		CarGui.setLockState(false);
	}
	
	/**
	 * @unimod.action.descr Оповестить
	 */
	public void z28(StateMachineContext context) {
		if (!isSilentModeOn) {
			siren.Siren.ding();
		}
	}

	/**
	 * @unimod.action.descr Включен ли тихий режим
	 */
	public boolean x1(StateMachineContext context) {
		return isSilentModeOn;
	}
}
